Loading...
Searching...
No Matches
Opm::Satfunc::PhaseChecks::PhaseCheckBase< Scalar > Class Template Referenceabstract

Base class for all phase saturation function consistency checks. More...

`#include <PhaseCheckBase.hpp>`

Inheritance diagram for Opm::Satfunc::PhaseChecks::PhaseCheckBase< Scalar >:

## Public Member Functions

void | test (const EclEpsScalingPointsInfo< Scalar > &endPoints) override
| Run specific check against a set of saturation function end-points.
bool | isViolated () const override
| Whether or not last set of end-points violated this particular check.
bool | isCritical () const override
| Whether or not this check is critical to the simulator's ability to run the case.
Public Member Functions inherited from Opm::SatfuncConsistencyChecks< Scalar >::Check
virtual | ~Check ()=default
| Virtual destructor since class has virtual functions.
virtual std::size_t | numExportedCheckValues () const =0
| Number of `Scalar` values involved in the check.
virtual void | exportCheckValues (Scalar *exportedCheckValues) const =0
| Get a linearised copy of the `Scalar` values involved in the check.
virtual std::string | description () const =0
| Descriptive textual summary of this check.
virtual std::string | condition () const =0
| Textual representation of the consistency condition.
virtual void | columnNames (std::string *headers) const =0
| Retrieve names of the exported check values.

## Protected Member Functions

void | setViolated ()
| Mark check as violated.
void | setCritical ()
| Mark check as violated at critical level.

## Detailed Description

template<typename Scalar>
class Opm::Satfunc::PhaseChecks::PhaseCheckBase< Scalar >

Base class for all phase saturation function consistency checks.

Provides common implementation of parts of the public Check interface in terms of packed flags.

Template Parameters

  Scalar | Element type. Typically `float` or `double`.

## Member Function Documentation

## isCritical()

template<typename Scalar>

bool Opm::Satfunc::PhaseChecks::PhaseCheckBase< Scalar >::isCritical | ( |  | ) | const

override virtual

Whether or not this check is critical to the simulator's ability to run the case.

Violating critical checks should typically stop the run.

Implements Opm::SatfuncConsistencyChecks< Scalar >::Check.

## isViolated()

template<typename Scalar>

bool Opm::Satfunc::PhaseChecks::PhaseCheckBase< Scalar >::isViolated | ( |  | ) | const

override virtual

Whether or not last set of end-points violated this particular check.

Implements Opm::SatfuncConsistencyChecks< Scalar >::Check.

## setCritical()

template<typename Scalar>

void Opm::Satfunc::PhaseChecks::PhaseCheckBase< Scalar >::setCritical | ( |  | ) |

protected

Mark check as violated at critical level.

Intended to be called by derived types only.

## setViolated()

template<typename Scalar>

void Opm::Satfunc::PhaseChecks::PhaseCheckBase< Scalar >::setViolated | ( |  | ) |

protected

Mark check as violated.

Intended to be called by derived types only.

## test()

template<typename Scalar>

void Opm::Satfunc::PhaseChecks::PhaseCheckBase< Scalar >::test | ( | const EclEpsScalingPointsInfo< Scalar > & | endPoints | ) |

override virtual

Run specific check against a set of saturation function end-points.

Parameters

  [in] | endPoints | Set of saturation function end-points. Might for instance be the scaled end-points of the drainage functions in a single grid block or the unscaled end-points of the tabulated saturation functions in a single saturation region.

Implements Opm::SatfuncConsistencyChecks< Scalar >::Check.

The documentation for this class was generated from the following files:

- opm/simulators/utils/satfunc/PhaseCheckBase.hpp
- opm/simulators/utils/satfunc/PhaseCheckBase.cpp